Loading...
Searching...
No Matches
implementation.cpp File Reference
`#include "ada/implementation-inl.h"`
`#include <string_view>`
`#include "ada/common_defs.h"`
`#include "ada/parser.h"`
`#include "ada/url.h"`
`#include "ada/url_aggregator.h"`

Go to the source code of this file.

## Namespaces

namespace | ada

## Functions

template<class result_type>
ada_warn_unused tl::expected< result_type, errors > | ada::parse (std::string_view input, const result_type *base_url)
template ada::result< url > | ada::parse< url > (std::string_view input, const url *base_url)
template ada::result< url_aggregator > | ada::parse< url_aggregator > (std::string_view input, const url_aggregator *base_url)
std::string | ada::href_from_file (std::string_view path)
bool | ada::can_parse (std::string_view input, const std::string_view *base_input=nullptr)
ada_warn_unused std::string_view | ada::to_string (encoding_type type)